AutoCad - COMO VER LA Z DE LOS PUNTOS EN DIBUJO MODELO

   
Vista:

COMO VER LA Z DE LOS PUNTOS EN DIBUJO MODELO

Publicado por Jose Antonio (1 intervención) el 20/05/2016 14:55:49
Buenas, he hecho un levantamiento y he pasado los datos al autocad, me sale el levantamiento que he realizado, el problema que tengo es que no se como hacer para que me aparezca la cota (Z) de cada punto que he tomado, lo veo en las propiedades de cada punto pero necesito verlo junto al punto.

Tengo cad 2009.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

COMO VER LA Z DE LOS PUNTOS EN DIBUJO MODELO

Publicado por NOLO (2 intervenciones) el 21/05/2016 12:07:08
Buenos días, soy nuevo en el foro así que disculpar si meto la pata en algo
Jose Antonio, con las pistas que das, dificilente se puede acertar, pero prueba esto para poner las coordenadas x,y,z en un texto arriba del punto :

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
(defun c:zp( / ht ss p p1)
(setq ht 1. );; altura del texto
(princ"\nSeleccionar puntos : ")
(setq ss (ssget '((0 . "POINT"))))
(while (> (sslength ss)0)
(setq p (cdr(assoc 10 (entget (ssname ss 0)))))
(entmake (list 
(cons 0 "TEXT")
(cons 10 (setq p1 (polar p (/ pi 2) (* 1.5 ht)) ))
(cons 40 ht)
(cons 1 (vl-princ-to-string (cdr p)))
(cons 50 0.)
'(41 . 0.9)'(51 . 0.0)
(cons 7 "Standard") ;; estilo del texto
'(71 . 0) '(72 . 2)
(cons 11 p1)
))
(ssdel (ssname ss 0)ss)
)
(princ "\nTerminado")
(princ)
)

Un saludo
____________________________________________________
Por aquí tenemos un foro solo de Autolisp
http://acadhispano.foroargentina.net/f1-ayuda-en-auto-lisp-y-vl-lisp
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar